<script lang="ts">
  import CardFront from "./CardFront.svelte";
  import { send, receive } from "./cardCrossfade";
  import { flip } from "svelte/animate";
  export let cards: Card[];

  let expanded: boolean = false;
  $: {
    if (cards.length <= 1) {
      expanded = false;
    }
  }
</script>

<button
  class="wrapper"
  class:expanded
  disabled={cards.length <= 1}
  on:click={() => {
    expanded = !expanded;
  }}
>
  {#each cards as value (value)}
    <div
      class="card"
      animate:flip
      in:receive={{ key: value }}
      out:send={{ key: value }}
    >
      <CardFront {value} />
    </div>
  {/each}
</button>

<style>
  button.wrapper {
    font-size: inherit;
    padding: 0;
    border: none;
  }

  button:not(:disabled) {
    cursor: pointer;
  }

  .card {
    transition: transform 0.25s;
  }
  .card:not(:first-child) {
    margin-top: -11em;
  }

  .wrapper.expanded > .card:not(:first-child) {
    transform: translateY(9em);
  }
</style>
